Otomatik Dolum
Enerji Kuralını Sil
Bir enerji Otomatik Dolum kuralını silin
DELETE
/
api
/
v1
/
energy
/
auto-refill
/
{rule_id}
Enerji Kuralını Sil
curl --request DELETE \
--url https://api.example.com/api/v1/energy/auto-refill/{rule_id}import requests
url = "https://api.example.com/api/v1/energy/auto-refill/{rule_id}"
response = requests.delete(url)
print(response.text)const options = {method: 'DELETE'};
fetch('https://api.example.com/api/v1/energy/auto-refill/{rule_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/energy/auto-refill/{rule_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/energy/auto-refill/{rule_id}"
req, _ := http.NewRequest("DELETE", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.example.com/api/v1/energy/auto-refill/{rule_id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/energy/auto-refill/{rule_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
response = http.request(request)
puts response.read_body{
"status": "<string>"
}Enerji Kuralını Sil
Bir kuralı siler. Bu kural için artık dolum yapılmaz ve adres yeni bir enerji kuralı için serbest kalır. Zaten satın alınmış enerji geri alınmaz: bu kiralamalar saatleri dolana kadar sürer. Geçmiş dolum siparişleri sipariş geçmişinizde kalır.buy_energy kapsamını gerektirir.
Kuralı kaybetmeden dolumları bir süreliğine durdurmak için onu silmek yerine duraklatın.
Yol parametreleri
number
gerekli
Kural kimliği — Enerji Kuralı Oluştur veya Enerji Kurallarını Listele yanıtındaki
idYanıt
string
okÖrnek
curl -X DELETE https://api.tronrental.com/v1/energy/auto-refill/12 \
-H "X-API-Key: your_api_key"
import requests
resp = requests.delete(
"https://api.tronrental.com/v1/energy/auto-refill/12",
headers={"X-API-Key": "your_api_key"},
)
print(resp.json())
const resp = await fetch("https://api.tronrental.com/v1/energy/auto-refill/12", {
method: "DELETE",
headers: { "X-API-Key": "your_api_key" },
});
console.log(await resp.json());
Response
{
"status": "ok"
}
Hatalar
| Durum | Kod | Ne zaman |
|---|---|---|
403 | FORBIDDEN | API anahtarında buy_energy kapsamı yok |
404 | NOT_FOUND | Hesabınızda bu kimliğe sahip bir enerji kuralı yok (veya kural zaten silinmiş) |
409 | AUTOREFILL_IN_PROGRESS | Bu kural için şu anda bir dolum satın alınıyor — bir dakika sonra yeniden deneyin |
{
"detail": {
"error": {
"code": "NOT_FOUND",
"message": "Auto-refill rule not found"
}
}
}
⌘I
Enerji Kuralını Sil
curl --request DELETE \
--url https://api.example.com/api/v1/energy/auto-refill/{rule_id}import requests
url = "https://api.example.com/api/v1/energy/auto-refill/{rule_id}"
response = requests.delete(url)
print(response.text)const options = {method: 'DELETE'};
fetch('https://api.example.com/api/v1/energy/auto-refill/{rule_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/energy/auto-refill/{rule_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/energy/auto-refill/{rule_id}"
req, _ := http.NewRequest("DELETE", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.example.com/api/v1/energy/auto-refill/{rule_id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/energy/auto-refill/{rule_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
response = http.request(request)
puts response.read_body{
"status": "<string>"
}